%global momorel 15
%global emacsver 22.3
%global xemacsver 21.5.28
%global xemacssumover 2007.04.27
%global e_sitedir  %{_datadir}/emacs/site-lisp
#%%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir   %{_datadir}/xemacs/site-packages

Summary: An interface program for GNU wget on Emacs.
Name: elisp-wget
Version: 0.5.0
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
Source0: http://pop-club.hp.infoseek.co.jp/emacs/emacs-wget/emacs-wget-%{version}.tar.gz 
NoSource: 0
URL: http://pop-club.hp.infoseek.co.jp/emacs/emacs-wget/
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}
Requires: emacsen
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Emacs-wget is an interface program for GNU wget on Emacs.

%package -n wget-emacs
Summary: An interface program for GNU wget on Emacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n wget-emacs
Emacs-wget is an interface program for GNU wget on Emacs.

%package -n wget-xemacs
Summary: An interface program for GNU wget on Emacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}

%description -n wget-xemacs
Emacs-wget is an interface program for GNU wget on Emacs.

%prep
%setup -q -n emacs-wget-%{version}

%build
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%install
# emacs
make EMACS=emacs \
     prefix=%{_prefix} \
     datadir=%{_datadir} \
     lispdir=%{e_sitedir}/emacs-wget

make EMACS=emacs \
     prefix=%{buildroot}%{_prefix} \
     datadir=%{buildroot}%{_datadir} \
     lispdir=%{buildroot}%{e_sitedir}/emacs-wget \
     install

make distclean

# xemacs
make EMACS=xemacs \
     prefix=%{_prefix} \
     datadir=%{_datadir} \
     lispdir=%{sitepdir}/lisp/emacs-wget

make EMACS=xemacs \
     prefix=%{buildroot}%{_prefix} \
     datadir=%{buildroot}%{_datadir} \
     lispdir=%{buildroot}%{sitepdir}/lisp/emacs-wget \
     install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README README.ja USAGE USAGE.ja

%files -n wget-emacs
%defattr(-,root,root)
%{e_sitedir}/emacs-wget

%files -n wget-xemacs
%defattr(-,root,root)
%{sitepdir}/lisp/emacs-wget

%changelog
* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-15m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-14m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-13m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-12m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.0-11m)
- %%NoSource -> NoSource

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-10m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-9m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-8m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-7m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-6m)
- rebuild against emacs-22.0.94

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-5m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-4m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-3m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-2m)
- rebuild against emacs-22.0.90

* Mon Aug 28 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-1m)
- initial package
